#ifndef PARAMETERS_H
#define PARAMETERS_H

namespace MM
{

class Parameters
{
public:    
    virtual int             size    () const = 0;
    //fix  to new:
    /////////////////////////////////////////////////////////////////////////
    virtual double          value( int i  ) const =0;
    virtual void            set( double value, int i ) =0;
    virtual void            add( double value, int i ) =0;
};

}//MM

#endif //PARAMETERS_H
